View Issue Details

IDProjectCategoryView StatusLast Update
0005539GNUnetGNSpublic2019-02-28 11:17
ReporterschanzenAssigned Toschanzen 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformOSmacOSOS VersionMojave
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005539: No memrchr in macOS, FTBFS
DescriptionFTBFS on macOS.
I thought this compiled before, but after some googling I saw a few issued where memrchr is implemented specifically for macOS.
See also: https://www.gnu.org/software/gnulib/manual/html_node/memrchr.html

Hence, we either need to implement our own like here https://github.com/opsengine/cpulimit/pull/11/files

or not use memrchr.
TagsNo tags attached.

Activities

schanzen

2019-02-04 14:40

developer   ~0013589

Actually, we already have an implementation inside gns/gnunet-service-gns_resolver.c
This should be moved up into, I guess, platform.h?

Christian Grothoff

2019-02-04 22:04

manager   ~0013599

We have plibc.h and winproc.h for W32-stuff. Maybe create an osxproc.h, #include that from platform.h. In the osxproc.h, #define memrchr to GN_memrchr_ and declare a GN_memrchr_ prototype, then add implementation to util/osxproc.c. At least that would seem like the sanest approach to me right now...

schanzen

2019-02-05 06:50

developer   ~0013600

Ok. But you also add a memrchr in case of Windows in gns_resolver.c:
---
#if (defined WINDOWS) || (defined DARWIN)
---

 So I guess it needs to go in someplace more generic?

schanzen

2019-02-05 08:53

developer   ~0013601

Fixed in 395be9a8fb85d172dcbb06826aed8b5b29ceeac2

Issue History

Date Modified Username Field Change
2019-02-04 11:57 schanzen New Issue
2019-02-04 14:40 schanzen Note Added: 0013589
2019-02-04 16:11 schanzen Severity minor => major
2019-02-04 22:04 Christian Grothoff Note Added: 0013599
2019-02-04 22:05 Christian Grothoff Product Version => SVN HEAD
2019-02-04 22:05 Christian Grothoff Target Version => 0.11.0
2019-02-05 06:50 schanzen Note Added: 0013600
2019-02-05 08:53 schanzen Assigned To => schanzen
2019-02-05 08:53 schanzen Status new => resolved
2019-02-05 08:53 schanzen Resolution open => fixed
2019-02-05 08:53 schanzen Fixed in Version => SVN HEAD
2019-02-05 08:53 schanzen Note Added: 0013601
2019-02-16 11:54 Christian Grothoff Fixed in Version SVN HEAD => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed